/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.services.dicomnetcommons;

/**
 * Represent Level of Support for Storage.
 */
public enum EnumLevelofSupport 
{

	LEVEL0((byte)0),
	LEVEL1((byte)1),
	LEVEL2((byte)2),
	LEVEL3((byte)3);
	
	private byte value;


	EnumLevelofSupport(byte bValue)
	{
		value = bValue;
	}

	/**
	 * This function returns the byte value of this enum.
	 * @return - returns byte value of Abort Reason.
	 */
	public byte getValue()
	{
		return value;
	}
}
